/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 *
 * 参照渡しを実現するためだけに作成されたクラス
 * 
 * @author NTT DATA Corporation
 */
public strictfp class p_float {
	
    /**
     * float型の実体
     */

    public float value = 0.0f;
    
	/**
	 * コンストラクタ。デフォルト値は0
	 */
    public p_float(){
//    	高速化
//        value = 0.0f;
    }
    
    /**
     * 初期値を与えるコンストラクタ
     * @param f 初期値
     */
    public p_float(float f){
        value = f;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
    	return String.valueOf(value);
    }
}
